#Euler-Ziegel
#Ein Euler-Ziegel ist ein Quader, bei dem die Längen der Kanten und Flächendiagonalen ganzzahlige Werte haben.
#Er wird von drei Dreiecken aufgespannt, deren Kantenlängen Pythagoreische Tripel sind, und deren rechte Winkel an einer Ecke zusammenstoßen.
#Ein Euler-Ziegel ist primitiv, wenn die drei Kantenlängen keinen gemeinsamen Teiler haben.
#Er ist perfekt, wenn auch die Raumdiagonalen ganzzahlige Werte annehmen. Dieser Ziegel wurde aber noch nicht gefunden.
import math
import time
start = time.time()
n=1000
print('{}\n{}'.format('|  a   |  b   |  c   |   d1  |   d2  |   d3 |','----------------------------------------------'))
for a in range(1,n+1):
    for b in range(a+1,n+1):
        for c in range(b+1,n+1):
           if math.sqrt(a**2+b**2) % 1==0 and math.sqrt(a**2+c**2) % 1 ==0 and math.sqrt(b**2+c**2) % 1 ==0:
              d1=int(math.sqrt(a**2+b**2))
              d2=int(math.sqrt(a**2+c**2))
              d3=int(math.sqrt(b**2+c**2))
             # print('|',a,'|',b,'|',c,'|',d1, '|',d2,'|',d3,'|')
              print('{:2}{:3}{:2}{:2}{:3}{:2}{:2}{:3}{:2}{:2}{:4}{:2}{:2}{:4}{:2}{:2}{:4}{:2}'.format('|',a,'','|',b,'','|',c,'','|',d1,'','|',d2,'','|',d3,' |'))
ende = time.time()
print('{:5.3f}s'.format(ende-start))   
              
                
    


                      
                      
                     